import QtQuick 2.4
import QtQuick.Window 2.2
import QtCharts 2.0

Window {
    visible: true
    height: 600
    width: 600

    ChartView {
        id: view
        title: "Line"
        anchors.fill: parent
        antialiasing: true
        animationOptions: ChartView.AllAnimations

        ValueAxis {
            id: xAxis
            min: 0
            max: 10
            tickCount: 11
        }
        ValueAxis {
            id: yAxis
            min: 0
            max: 10
            tickCount: 11
        }
    }

    MouseArea {
        anchors.fill: parent
        onClicked: {
            view.removeAllSeries();
            mytimer.start();
        }
    }

    Timer {
        id: mytimer
        running: false
        repeat: false
        interval: 100
        onTriggered: {
            var lineserie = view.createSeries(ChartView.SeriesTypeBar, "line series", xAxis, yAxis);
            lineserie.append(1,[5, 9, 10]);
            lineserie.append(2,[6, 9, 5]);
        }
    }
}
